## lomiri-settings-components 1.0.0

=== CMakeLists.txt ===
project(lomiri-settings-components)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Install paths
include(GNUInstallDirs)

include(FindPkgConfig)

find_package(Qt5Quick REQUIRED)

set(QT_IMPORTS_DIR ${CMAKE_INSTALL_LIBDIR}/qt5/qml)

find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Widgets REQUIRED)
add_definitions(-DQT_NO_KEYWORDS)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# enable QML debugging
string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
if(cmake_build_type_lower MATCHES "debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

# Quiet logger
set(QUIET_LOGGER OFF CACHE BOOL "Disable test output on stdout.")
if(NOT QUIET_LOGGER)
    set(STDOUT_LOGGER "-o" "-,txt")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra")

if ("${CMAKE_BUILD_TYPE}" STREQUAL "release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "relwithdebinfo")
    option(Werror "Treat warnings as errors" ON)
else()
    option(Werror "Treat warnings as errors" OFF)
endif()

if (Werror)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

file(GLOB_RECURSE QML_EXTRA_FILES
    ${CMAKE_SOURCE_DIR}/tests/*.qml
    ${CMAKE_SOURCE_DIR}/tests/*.js
    ${CMAKE_SOURCE_DIR}/tests/*.jpg
    ${CMAKE_SOURCE_DIR}/tests/*.png
    ${CMAKE_SOURCE_DIR}/tests/*.sci
    ${CMAKE_SOURCE_DIR}/tests/*.svg
)
add_custom_target(qml_fake_target SOURCES ${QML_EXTRA_FILES})

# Tests
enable_testing()

add_subdirectory(plugins)
add_subdirectory(examples)
add_subdirectory(tests)
add_subdirectory(po)

=== debian/changelog ===
lomiri-settings-components (1.0.0-3) unstable; urgency=medium

  * Upload source-only as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 14:56:20 +0100

lomiri-settings-components (1.0.0-2) unstable; urgency=medium

  * debian/copyright:
    + Rework copyright attributions after ftpmaster REJECT.
  * Initial Debian release. (Closes: #1000721).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Feb 2022 08:13:16 +0100

lomiri-settings-components (1.0.0-1) REJECTED; urgency=medium

  * Initial Debian release. (Closes: #1000721).

 -- Marius Gripsgard <marius@ubports.com>  Wed, 02 Feb 2022 10:55:43 +0100

=== debian/control ===
Source: lomiri-settings-components
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Marius Gripsgard <marius@ubports.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               debhelper-compat (= 13),
               pkg-config,
               python3:any,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qtquick-layouts,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-thumbnailer,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               suru-icon-theme,
               xvfb,
               xauth,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-settings-components
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-settings-components/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-settings-components.git


Package: qml-module-lomiri-settings-components
Architecture: any
Multi-Arch: same
Depends: qml-module-lomiri-components (>= 1.1),
         qml-module-qtquick2,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri settings components
 Lomiri settings components for Lomiri Desktop Environment
 .
 This package contains miscellaneous settings-related components.

Package: qml-module-lomiri-settings-fingerprint
Architecture: any
Multi-Arch: same
Depends: lomiri-schemas,
         qml-module-biometryd,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-gsettings1.0,
         qml-module-lomiri-components (>= 1.1),
         qml-module-lomiri-settings-components,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri fingerprint-related settings components
 Lomiri settings components for Lomiri Desktop Environment
 .
 This package contains fingerprint-related components, connecting to Biometryd.

Package: qml-module-lomiri-settings-menus
Architecture: any
Multi-Arch: same
Depends: qml-module-lomiri-components (>= 1.1),
         qml-module-lomiri-settings-components,
         qml-module-lomiri-thumbnailer,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri menu used in settings
 Lomiri settings components for Lomiri Desktop Environment
 .
 This package contains components of menus used in settings.

Package: qml-module-lomiri-settings-vpn
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-layouts,
         qml-module-lomiri-components (>= 1.1),
         qml-module-lomiri-settings-components,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri VPN-related settings components
 Lomiri settings components for Lomiri Desktop Environment
 .
 This package contains VPN-related components.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-settings-components/tags .*/lomiri-settings-components-(\d\S+)\.tar\.gz

## lomiri-settings-components 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-settings-components)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-settings-components VERSION 1.0.1 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== debian/changelog ===
lomiri-settings-components (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 16:48:01 +0100

lomiri-settings-components (1.0.0-5) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/tests:
    + Don't run tests in parallel (xvfb race issue).

  [ Mike Gabriel ]
  * debian/copyright:
    + Add auto-generated copyright.in file for later tracking of copyright
      changes.

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 15:57:31 +0100

lomiri-settings-components (1.0.0-4) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/:
    + Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * debian/tests/control:
    + Allow stderr during the test

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Oct 2022 10:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
                suru-icon-theme,
                xvfb,
                xauth,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-settings-components
+Homepage: https://gitlab.com/ubports/development/core/lomiri-settings-components
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-settings-components/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-settings-components.git

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-settings-components/tags .*/lomiri-settings-components-(\d\S+)\.tar\.gz

## lomiri-settings-components 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-settings-components VERSION 1.0.1 LANGUAGES CXX)
+project(lomiri-settings-components VERSION 1.1.1 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== debian/changelog ===
lomiri-settings-components (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:53 +1100

lomiri-settings-components (1.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:41 +0000

lomiri-settings-components (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/qml-module-lomiri-settings-components.examples:
    + Add examples to bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 22:59:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-settings-components
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Marius Gripsgard <marius@ubports.com>,
  Mike Gabriel <sunweaver@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export QT_SELECT=5

# Skip tests on architectures where tests are being extremely flaky
testskip_architectures := arm64 armhf

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	-dh_auto_test --no-parallel -- -k xvfballtests
else
	dh_auto_test --no-parallel -- -k xvfballtests
endif
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-settings-components 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-settings-components VERSION 1.1.1 LANGUAGES CXX)
+project(lomiri-settings-components VERSION 1.1.2 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== po/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
find_package(Gettext REQUIRED)

SET(POT_FILE
  lomiri-settings-components.pot
)

FILE(GLOB PO_FILES
  *.po
)

SET(MO_FILE lomiri-settings-components.mo)

FOREACH(_file ${PO_FILES})
  GET_FILENAME_COMPONENT(_lang ${_file} NAME_WE)
  SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
  ADD_CUSTOM_COMMAND(OUTPUT ${_gmoFile}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_file}
    COMMAND install -D ${_gmoFile} ${CMAKE_CURRENT_BINARY_DIR}/locale/${_lang}/LC_MESSAGES/${MO_FILE}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS ${_file}
  )
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${CMAKE_INSTALL_PREFIX}/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
  _GETTEXT_GET_UNIQUE_TARGET_NAME( pofiles uniqueTargetName)
  ADD_CUSTOM_TARGET(${uniqueTargetName} ALL DEPENDS ${_gmoFile})
ENDFOREACH(_file)

ADD_CUSTOM_COMMAND(OUTPUT ${POT_FILE}
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-lsc-pot
)
ADD_CUSTOM_TARGET(pot_file
  DEPENDS ${POT_FILE}
)

=== tests/qmltests/mocks/CMakeLists.txt ===
find_package(QmlPlugins)

# Set up and optionally install a mock plugin for lomiri-settings-components.
#
# add_lsc_mock(plugin version path
#     [PREFIX string]  # Install the plugin to the specified prefix under unity8 private plugin directory
#     [...]            # See export_qmlfiles and export_qmlplugin documentation for more options
# )

macro(add_lsc_mock PLUGIN VERSION PATH)
    set(single PREFIX)
    cmake_parse_arguments(MOCK "" "${single}" "" ${ARGN})

    if(MOCK_PREFIX)
        export_qmlfiles(${PLUGIN} ${PATH}
            DESTINATION ${SHELL_INSTALL_QML}/${MOCK_PREFIX}
            TARGET_PREFIX ${MOCK_PREFIX}-Mock
            ${MOCK_UNPARSED_ARGUMENTS}
        )
        export_qmlplugin(${PLUGIN} ${VERSION} ${PATH}
            DESTINATION ${SHELL_INSTALL_QML}/${MOCK_PREFIX}
            TARGET_PREFIX ${MOCK_PREFIX}-Mock
            ${MOCK_UNPARSED_ARGUMENTS}
        )
    else()
        export_qmlfiles(${PLUGIN} ${PATH} TARGET_PREFIX Mock NO_INSTALL ${MOCK_UNPARSED_ARGUMENTS})
        export_qmlplugin(${PLUGIN} ${VERSION} ${PATH} TARGET_PREFIX Mock NO_INSTALL ${MOCK_UNPARSED_ARGUMENTS})
    endif()
endmacro()

add_subdirectory(Biometryd)
add_subdirectory(GSettings.1.0)

=== plugins/Lomiri/Settings/Menus/CMakeLists.txt ===
add_subdirectory(Style)

project(LomiriSettingsMenusQml)

add_definitions(-DLOMIRISETTINGSCOMPONENTS_LIBRARY)

add_library(LomiriSettingsMenusQml MODULE
    plugin.cpp
    types.h
    ${LomiriSettingsMenusQml_SOURCES}
)

target_link_libraries(LomiriSettingsMenusQml
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
    ${QMENUMODEL_LDFLAGS}
    ${LIBUPSTART_LIBRARIES}
)

add_lsc_plugin(Lomiri.Settings.Menus 0.1 Lomiri/Settings/Menus TARGETS LomiriSettingsMenusQml)

=== debian/changelog ===
lomiri-settings-components (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Require qml-module-lomiri-comonents from lomiri-ui-toolkit (>= 1.3.5110~).
    + Bump Standards-Version: to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 16:44:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: lomiri-settings-components
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Marius Gripsgard <marius@ubports.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 0.10),
                debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                python3:any,
                qml-module-qt-labs-folderlistmodel,
                qml-module-qtquick-layouts,
                qml-module-qtquick2,
                qml-module-qttest,
-               qml-module-lomiri-components,
+               qml-module-lomiri-components (>= 1.3.5110~),
                qml-module-lomiri-thumbnailer,
                qtbase5-private-dev,
                qtdeclarative5-dev,
@@ -23,7 +22,7 @@
                suru-icon-theme,
                xvfb,
                xauth,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-settings-components
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-settings-components/
@@ -51,7 +50,7 @@
          qml-module-qtquick2,
          qml-module-qtquick-layouts,
          qml-module-gsettings1.0,
-         qml-module-lomiri-components (>= 1.1),
+         qml-module-lomiri-components (>= 1.3.5110~),
          qml-module-lomiri-settings-components,
          suru-icon-theme,
          ${misc:Depends},
@@ -64,7 +63,7 @@
 Package: qml-module-lomiri-settings-menus
 Architecture: any
 Multi-Arch: same
-Depends: qml-module-lomiri-components (>= 1.1),
+Depends: qml-module-lomiri-components (>= 1.3.5110~),
          qml-module-lomiri-settings-components,
          qml-module-lomiri-thumbnailer,
          qml-module-qtquick2,
@@ -81,7 +80,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: qml-module-qtquick-layouts,
-         qml-module-lomiri-components (>= 1.1),
+         qml-module-lomiri-components (>= 1.3.5110~),
          qml-module-lomiri-settings-components,
          suru-icon-theme,
          ${misc:Depends},

## lomiri-settings-components 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 
-project(lomiri-settings-components VERSION 1.1.2 LANGUAGES CXX)
+project(lomiri-settings-components VERSION 1.1.3 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== examples/CMakeLists.txt ===
file(GLOB QML_JS_FILES *.qml *.js)
add_custom_target( ExampleQmlFiles SOURCES ${QML_JS_FILES} )

=== plugins/CMakeLists.txt ===
find_package(QmlPlugins)

macro(add_lsc_plugin PLUGIN VERSION PATH)
    export_qmlfiles(${PLUGIN} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
    export_qmlplugin(${PLUGIN} ${VERSION} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
endmacro()

add_subdirectory(Lomiri)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-cmake_minimum_required(VERSION 2.8.9)
 find_package(Gettext REQUIRED)
 
 SET(POT_FILE

=== tests/CMakeLists.txt ===
include(QmlTest)

# QML tests that require graphical capabilities.
add_custom_target(uitests)
add_custom_target(xvfbuitests)

add_custom_target(alltests)
add_dependencies(alltests uitests)

add_custom_target(xvfballtests)
add_dependencies(xvfballtests xvfbuitests)

add_subdirectory(utils)

set(LSC_PLUGINPATH "${CMAKE_BINARY_DIR}/plugins" CACHE PATH "Path to pre-built l-s-c plugin dir.")

set(LSC_IMPORT_PATHS
    ${CMAKE_BINARY_DIR}/tests/qmltests/mocks
    ${CMAKE_BINARY_DIR}/tests/utils/modules
    ${LSC_PLUGINPATH}
)

macro(lsc_parse_arguments)
    cmake_parse_arguments(LSCTEST
        "${QMLTEST_OPTIONS}"
        "${QMLTEST_SINGLE}"
        "${QMLTEST_MULTI}"
        ${ARGN}
    )

    set(environment
        UNITY_TESTING=1
        LANGUAGE=C
        LC_ALL=C.UTF-8
        UITK_ICON_THEME=suru
    )
endmacro()

# add a graphical qml test
# see QmlTest.cmake for additional options
function(add_lsc_qmltest PATH COMPONENT_NAME)
    lsc_parse_arguments(${ARGN})
    add_qml_test(${PATH} ${COMPONENT_NAME}
        DEPENDS LomiriSettingsTest
        IMPORT_PATHS ${LSC_IMPORT_PATHS}
        TARGETS uitests
        ${ARGN}
        ENVIRONMENT ${environment}
                    ${LSCTEST_ENVIRONMENT}
    )
endfunction()

add_subdirectory(imports)
add_subdirectory(qmltests)

=== plugins/Lomiri/CMakeLists.txt ===
add_subdirectory(Settings)

=== tests/imports/CMakeLists.txt ===

#
# Test that all imports for QtQuick and Lomiri.Components use the wanted version
#
add_test(imports ${CMAKE_CURRENT_SOURCE_DIR}/check_imports.py ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

=== tests/qmltests/CMakeLists.txt ===
add_subdirectory(mocks)

add_lsc_qmltest(Components ActionTextField)
add_lsc_qmltest(Components Calendar)
add_lsc_qmltest(Components ServerPropertySynchroniser)

add_lsc_qmltest(Menus AccessPointMenu)
add_lsc_qmltest(Menus BaseMenu)
add_lsc_qmltest(Menus ButtonMenu)
add_lsc_qmltest(Menus CalendarMenu)
add_lsc_qmltest(Menus CheckableMenu)
add_lsc_qmltest(Menus EventMenu)
add_lsc_qmltest(Menus GroupedMessageMenu)
add_lsc_qmltest(Menus MediaPlayerMenu)
add_lsc_qmltest(Menus PlaybackItemMenu)
add_lsc_qmltest(Menus ProgressBarMenu)
add_lsc_qmltest(Menus ProgressValueMenu)
add_lsc_qmltest(Menus RadioMenu)
add_lsc_qmltest(Menus SectionMenu)
add_lsc_qmltest(Menus SimpleMessageMenu)
add_lsc_qmltest(Menus SliderMenu)
add_lsc_qmltest(Menus SnapDecisionMenu)
add_lsc_qmltest(Menus StandardMenu)
add_lsc_qmltest(Menus SwitchMenu)
add_lsc_qmltest(Menus UserSessionMenu)
add_lsc_qmltest(Menus TextMessageMenu)
add_lsc_qmltest(Menus TimeZoneMenu)
add_lsc_qmltest(Menus TransferMenu)

add_lsc_qmltest(Vpn VpnList)
add_lsc_qmltest(Vpn VpnEditor)
add_lsc_qmltest(Vpn VpnOpenvpnEditor)
add_lsc_qmltest(Vpn VpnPptpEditor)
add_lsc_qmltest(Vpn VpnPreviewDialogCertificateChecks)
add_lsc_qmltest(Vpn VpnPreviewDialog ENVIRONMENT NO_SSL_CERTIFICATE_CHECK=1)

add_lsc_qmltest(Fingerprint Fingerprints)
add_lsc_qmltest(Fingerprint FingerprintNames)
add_lsc_qmltest(Fingerprint FingerprintSetup)
add_lsc_qmltest(Fingerprint FingerprintVisual)

=== plugins/Lomiri/Settings/CMakeLists.txt ===
add_subdirectory(Components)
add_subdirectory(Fingerprint)
add_subdirectory(Menus)
add_subdirectory(Vpn)

=== plugins/Lomiri/Settings/Components/CMakeLists.txt ===
project(LomiriSettingsComponentsQml)

add_definitions(-DLOMIRISETTINGSCOMPONENTS_LIBRARY)

add_library(LomiriSettingsComponentsQml MODULE
    plugin.cpp
    serverpropertysynchroniser.cpp
)

target_link_libraries(LomiriSettingsComponentsQml
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
)

add_lsc_plugin(Lomiri.Settings.Components 0.1 Lomiri/Settings/Components TARGETS LomiriSettingsComponentsQml)

=== plugins/Lomiri/Settings/Fingerprint/CMakeLists.txt ===
project(LomiriSettingsFingerprintQml)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)
add_definitions(-DLOMIRISETTINGSFINGERPRINT_LIBRARY)
QT5_ADD_RESOURCES(assets assets.qrc)
add_library(LomiriSettingsFingerprintQml MODULE
    plugin.cpp
    lomirisettingsfingerprint.cpp
    ${assets}
)
target_link_libraries(LomiriSettingsFingerprintQml Qt5::Core Qt5::Qml Qt5::Quick)
add_lsc_plugin(Lomiri.Settings.Fingerprint 0.1 Lomiri/Settings/Fingerprint TARGETS LomiriSettingsFingerprintQml)

=== plugins/Lomiri/Settings/Vpn/CMakeLists.txt ===
project(LomiriSettingsVpn)

add_subdirectory(Openvpn)
add_subdirectory(Pptp)
add_subdirectory(PreviewDialog)

find_package(Qt5Core REQUIRED)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_definitions(-DLOMIRISETTINGSCOMPONENTS_LIBRARY)

add_library(LomiriSettingsVpn MODULE
    plugin.cpp
    lomirisettingsvpn.cpp
)

target_link_libraries(LomiriSettingsVpn Qt5::Core Qt5::Qml Qt5::Quick)

add_lsc_plugin(Lomiri.Settings.Vpn 0.1 Lomiri/Settings/Vpn TARGETS LomiriSettingsVpn)

=== debian/changelog ===
lomiri-settings-components (1.1.3-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113246).
  * debian/rules:
    + Drop arm64 and armhf archs from testskip_architectures. Tests seem to
      run fine on those platforms.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 22:48:49 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                suru-icon-theme,
                xvfb,
                xauth,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-settings-components
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-settings-components/

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export QT_SELECT=5
 
 # Skip tests on architectures where tests are being extremely flaky
-testskip_architectures := arm64 armhf
+testskip_architectures :=
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: qmluitests.sh
Restrictions: allow-stderr
Depends: @,
         @builddeps@,
         xvfb,
